<%@ page contentType="text/html; charset=UTF-8" %>
<%
	response.setHeader("X-Frame-Options","SAMEORIGIN"); 
%>
<%-- If we move this page to the metrics server, the (translated) text in RTCP's MetricsView.ui.xml probably ought to go too. --%>
<!doctype html>
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<meta id="ghlocale" content="locale=<%=com.greenhat.server.container.server.nls.LocaleUtils.getLocaleAndFixMalformedTags(request) %>" name="gwt:property" >
	<title>Virtualization Metrics</title>
    <link rel="icon" type="image/x-icon" href="favicon.ico">
    <link href="scripts/vendor/c3.min.css" rel="stylesheet" type="text/css">
    <style type="text/css">
    	body {
			font-family: sans-serif;
			margin: 0;
		}
		
		#static-container {
			padding: 0 8px;
		}
		
		#refresh-button {
			display: none;
		}
    
    	#chart {
    		width: 100%;
    		height: 430px;
    		top: 20px; /* Space for controls */
    	}
    	
    	.c3-axis-x .tick text {
		    font-size: larger;
		}
    	
    	#loading-container {
			position: absolute;
			left: 0;
			top: 45%;
			width: 100%;
			
			text-align: center;
		}
    	
    	#loading {
    		display: inline-block;
			background-color: #0000b6;
			border-radius: 5px;
			padding: 10px 20px;
			box-shadow: 1px 1px 2px black;
			
			color: #eeeeff;
			font-size: large;
			font-weight: bold;
			text-shadow: 1px 1px 2px black;
			
			opacity: 0;
		}
    	
    	#error {
    		display: none;
			background-color: #b60000;
			border-radius: 5px;
			padding: 5px;
			
			color: white;
			font-size: small;
			font-weight: bold;
			white-space: pre-wrap;
    	}
    </style>
    
    <%
    	String metricsServerUrl = request.getParameter("metricsServer");
    	if(metricsServerUrl == null) {
    		metricsServerUrl = "";
		} else {
			metricsServerUrl = metricsServerUrl.replaceAll("[\\n\"]", "");
    	};
	%>
    
    <script type="text/javascript">	
    	window.metricsServerUrl = "<%=metricsServerUrl%>";

    	var require = {
    		urlArgs: "bust=" +  (new Date()).getTime()
    	}
    </script>
    <script data-main="scripts/metrics-viewer.js" src="scripts/require.js"></script>

    <script type="text/javascript" src="<%=request.getContextPath()%>/metrics_viewer/metrics_viewer.nocache.js"></script>
  </head>

  <body>

    <%-- OPTIONAL: include this if you want history support --%>
    <iframe src="javascript:''" id="__gwt_historyFrame" tabIndex='-1' style="position:absolute;width:0;height:0;border:0"></iframe>

    <noscript>
      <div style="width: 22em; position: absolute; left: 50%; margin-left: -11em; color: red; background-color: white; border: 1px solid red; padding: 4px; font-family: sans-serif">
        Your web browser must have JavaScript enabled
        in order for this application to display correctly.
      </div>
    </noscript>
    
    <div id="static-container">
    	<div id="chart" class="part-of-chart"></div>
    	<div id="loading-container">
    		<div id="loading">...</div>
    	</div>
    	<div id="error"></div>
	</div>
    
  </body>
</html>
